%if_enabled static
%define buildstatic 1
%else
%define buildstatic 0
%endif

Name: libntlm
Version: 0.4.1
Release: alt1

Group: System/Libraries
Summary: Library for Microsoft NTLM authentication
Url: http://josefsson.org/libntlm/
License: LGPL

Source: %name-%version.tar.gz


# Automatically added by buildreq on Wed Feb 09 2005 (-bi)
#BuildRequires: gcc-c++ gcc-g77 libstdc++-devel python-base python-modules-compiler python-modules-encodings rpm-build-python
BuildRequires: gcc-c++ glibc-devel
%if %buildstatic
glibc-devel-static
%endif

%description
This library provides routines to manipulate the structures
used for the client end of Microsoft NTLM authentication.


%package devel
Summary: Development files for programs which will use the %name library
Group: Development/C
Requires: %name = %version-%release
Provides: %name-devel = %version-%release

%description devel
The %name-devel package includes the header files
necessary for developing programs using the %name library.

If you are going to develop programs which will use the %name library
you should install %name-devel.

%prep
%setup -q

%build
%configure \
%if %buildstatic
    --enable-static \
%else
    --disable-static \
%endif
    --enable-shared
    
%make_build

%install
%make DESTDIR=%buildroot install

%post
%post_ldconfig
%postun
%postun_ldconfig

%files
%doc ChangeLog AUTHORS NEWS THANKS
%_libdir/*.so.*

%files devel
%doc README
%_libdir/pkgconfig/%name.pc
%_includedir/*.h
%_libdir/*.so

%if %buildstatic
%files devel-static
%_libdir/*.la
%_libdir/*.a
%endif

%changelog
* Wed Jan 09 2008 Sergey V Turchin <zerg at altlinux dot org> 0.4.1-alt1
- new version

* Mon Jan 29 2007 Sergey V Turchin <zerg at altlinux dot org> 0.3.12-alt1
- new version

* Fri Jun 02 2006 Sergey V Turchin <zerg at altlinux dot org> 0.3.9-alt1
- new version

* Wed Aug 17 2005 Sergey V Turchin <zerg at altlinux dot org> 0.3.7-alt1
- new version

* Wed Feb 09 2005 Sergey V Turchin <zerg at altlinux dot org> 0.3.6-alt1
- initial spec

